Instantly share code, notes, and snippets.

Embed
What would you like to do?
Installing the ruby-debug-base19-0.11.26.gem on Ruby 1.9.3-p0, Mac OS X Lion 10.7.2 and Xcode 4.2.1
Hi,
I followed the instruction from http://blog.wyeworks.com/2011/11/1/ruby-1-9-3-and-ruby-debug and all the comments under it. But I still have problems with installing ruby-debug-base19. I have tried all the following and I still get this error.
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-dir=/Users/mdoroudi/.rvm/rubies/ruby-1.9.3-p0/
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby- include=/Users/mdoroudi/.rvm/rubies/ruby-1.9.3-p0/include/ruby-1.9.1/ruby-1.9.3-p0/
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby- include=/Users/mdoroudi/.rvm/rubies/ruby-1.9.3-p0/
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby- include=/Users/mdoroudi/.rvm/src/ruby-1.9.3-p0/
Building native extensions. This could take a while...
ERROR: Error installing ruby-debug-base19-0.11.26.gem:
ERROR: Failed to build gem native extension.
/Users/mdoroudi/.rvm/rubies/ruby-1.9.3-p0/bin/ruby extconf.rb --with-ruby-dir=/Users/mdoroudi/.rvm/src/ruby-1.9.3-p0/
checking for rb_method_entry_t.called_id in method.h... no
checking for rb_control_frame_t.method_id in method.h... no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.
Provided configuration options:
--with-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=/Users/mdoroudi/.rvm/rubies/ruby-1.9.3-p0/bin/ruby
--with-ruby-dir
--with-ruby-include
--without-ruby-include=${ruby-dir}/include
--with-ruby-lib
--without-ruby-lib=${ruby-dir}/lib
extconf.rb:16:in `block in <main>': break from proc-closure (LocalJumpError)
from /Users/mdoroudi/.rvm/gems/ruby-1.9.3-p0/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb:18:in `call'
from /Users/mdoroudi/.rvm/gems/ruby-1.9.3-p0/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb:18:in `create_makefile_with_core'
from extconf.rb:32:in `<main>'
Gem files will remain installed in /Users/mdoroudi/.rvm/gems/ruby-1.9.3-p0/gems/ruby-debug-base19-0.11.26 for inspection.
Results logged to /Users/mdoroudi/.rvm/gems/ruby-1.9.3-p0/gems/ruby-debug-base19-0.11.26/ext/ruby_debug/gem_make.out
@mdoroudi

This comment has been minimized.

Show comment
Hide comment
@mdoroudi

mdoroudi Jan 23, 2012

I finally got it working on my Mac OSX Lion (above specifications) these are my steps:

rm Gemfile.lock
rvm get head && rvm reload
rvm reinstall 1.9.3 --with-gcc=clang --force-autoconf --patch debug -j 3
gem install linecache19-0.5.13.gem -- --with-ruby-include=/Users/mdoroudi/.rvm/src/ruby-1.9.3-p0/
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-include=/Users/moroudi/.rvm/src/ruby-1.9.3-p0/
gem install ruby-debug19-0.11.6.gem -- --with-ruby-include=/Users/mdoroudi/.rvm/src/ruby-1.9.3-p0/
bundle install

Owner

mdoroudi commented Jan 23, 2012

I finally got it working on my Mac OSX Lion (above specifications) these are my steps:

rm Gemfile.lock
rvm get head && rvm reload
rvm reinstall 1.9.3 --with-gcc=clang --force-autoconf --patch debug -j 3
gem install linecache19-0.5.13.gem -- --with-ruby-include=/Users/mdoroudi/.rvm/src/ruby-1.9.3-p0/
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-include=/Users/moroudi/.rvm/src/ruby-1.9.3-p0/
gem install ruby-debug19-0.11.6.gem -- --with-ruby-include=/Users/mdoroudi/.rvm/src/ruby-1.9.3-p0/
bundle install

@artekcs

This comment has been minimized.

Show comment
Hide comment
@artekcs

artekcs Feb 20, 2012

Thanks.
Actually, ruby 1.9.3-p125 fixes the issue, so you just need to:
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-include=/Users/moroudi/.rvm/src/ruby-1.9.3-p125/

artekcs commented Feb 20, 2012

Thanks.
Actually, ruby 1.9.3-p125 fixes the issue, so you just need to:
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-include=/Users/moroudi/.rvm/src/ruby-1.9.3-p125/

@paulkoegel

This comment has been minimized.

Show comment
Hide comment
@paulkoegel

paulkoegel Feb 22, 2012

thanks so much, simply running:
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-include=/Users/moroudi/.rvm/src/ruby-1.9.3-p125/
saved my day (1.9.3-p125).

paulkoegel commented Feb 22, 2012

thanks so much, simply running:
gem install ruby-debug-base19-0.11.26.gem -- --with-ruby-include=/Users/moroudi/.rvm/src/ruby-1.9.3-p125/
saved my day (1.9.3-p125).

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment